517e4bbbb71fc3a9b3018a6821786696e9372141
[scilab.git] / scilab / modules / statistics / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006-2007 - INRIA - Sylvestre LEDRU
19 # Copyright (C) 2009 - DIGITEO - Vincent LIARD
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # Copyright (C) 2012 - 2016 - Scilab Enterprises
28 #
29 # This file is hereby licensed under the terms of the GNU GPL v2.0,
30 # pursuant to article 5.3.4 of the CeCILL v.2.1.
31 # This file was originally licensed under the terms of the CeCILL v2.1,
32 # and continues to be available under such terms.
33 # For more information, see the COPYING file which you should have received
34 # along with this program.
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42
43 VPATH = @srcdir@
44 am__is_gnu_make = { \
45   if test -z '$(MAKELEVEL)'; then \
46     false; \
47   elif test -n '$(MAKE_HOST)'; then \
48     true; \
49   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
50     true; \
51   else \
52     false; \
53   fi; \
54 }
55 am__make_running_with_option = \
56   case $${target_option-} in \
57       ?) ;; \
58       *) echo "am__make_running_with_option: internal error: invalid" \
59               "target option '$${target_option-}' specified" >&2; \
60          exit 1;; \
61   esac; \
62   has_opt=no; \
63   sane_makeflags=$$MAKEFLAGS; \
64   if $(am__is_gnu_make); then \
65     sane_makeflags=$$MFLAGS; \
66   else \
67     case $$MAKEFLAGS in \
68       *\\[\ \   ]*) \
69         bs=\\; \
70         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
71           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
72     esac; \
73   fi; \
74   skip_next=no; \
75   strip_trailopt () \
76   { \
77     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
78   }; \
79   for flg in $$sane_makeflags; do \
80     test $$skip_next = yes && { skip_next=no; continue; }; \
81     case $$flg in \
82       *=*|--*) continue;; \
83         -*I) strip_trailopt 'I'; skip_next=yes;; \
84       -*I?*) strip_trailopt 'I';; \
85         -*O) strip_trailopt 'O'; skip_next=yes;; \
86       -*O?*) strip_trailopt 'O';; \
87         -*l) strip_trailopt 'l'; skip_next=yes;; \
88       -*l?*) strip_trailopt 'l';; \
89       -[dEDm]) skip_next=yes;; \
90       -[JT]) skip_next=yes;; \
91     esac; \
92     case $$flg in \
93       *$$target_option*) has_opt=yes; break;; \
94     esac; \
95   done; \
96   test $$has_opt = yes
97 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
98 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
99 pkgdatadir = $(datadir)/@PACKAGE@
100 pkgincludedir = $(includedir)/@PACKAGE@
101 pkglibdir = $(libdir)/@PACKAGE@
102 pkglibexecdir = $(libexecdir)/@PACKAGE@
103 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
104 install_sh_DATA = $(install_sh) -c -m 644
105 install_sh_PROGRAM = $(install_sh) -c
106 install_sh_SCRIPT = $(install_sh) -c
107 INSTALL_HEADER = $(INSTALL_DATA)
108 transform = $(program_transform_name)
109 NORMAL_INSTALL = :
110 PRE_INSTALL = :
111 POST_INSTALL = :
112 NORMAL_UNINSTALL = :
113 PRE_UNINSTALL = :
114 POST_UNINSTALL = :
115 build_triplet = @build@
116 host_triplet = @host@
117 @NEED_JAVA_TRUE@am__append_1 = java
118 subdir = modules/statistics
119 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
120 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
121         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
122         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
123         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
124         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
125         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
126         $(top_srcdir)/m4/intel_compiler.m4 \
127         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
128         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
129         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
130         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
131         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
132         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
133         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
134         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
135         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
136         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
137         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
138 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
139         $(ACLOCAL_M4)
140 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
141 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
142 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
143 CONFIG_CLEAN_FILES =
144 CONFIG_CLEAN_VPATH_FILES =
145 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
146 am__vpath_adj = case $$p in \
147     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
148     *) f=$$p;; \
149   esac;
150 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
151 am__install_max = 40
152 am__nobase_strip_setup = \
153   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
154 am__nobase_strip = \
155   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
156 am__nobase_list = $(am__nobase_strip_setup); \
157   for p in $$list; do echo "$$p $$p"; done | \
158   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
159   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
160     if (++n[$$2] == $(am__install_max)) \
161       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
162     END { for (dir in files) print dir, files[dir] }'
163 am__base_list = \
164   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
165   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
166 am__uninstall_files_from_dir = { \
167   test -z "$$files" \
168     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
169     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
170          $(am__cd) "$$dir" && rm -f $$files; }; \
171   }
172 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
173         "$(DESTDIR)$(libscistatistics_la_etcdir)" \
174         "$(DESTDIR)$(libscistatistics_la_rootdir)" \
175         "$(DESTDIR)$(libscistatistics_la_sci_gatewaydir)"
176 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
177 libscistatistics_algo_la_LIBADD =
178 am__dirstamp = $(am__leading_dot)dirstamp
179 am__objects_1 = src/c/libscistatistics_algo_la-CdfBase.lo \
180         src/c/libscistatistics_algo_la-ipmpar1.lo \
181         src/c/libscistatistics_algo_la-sci_string_matrix.lo
182 am__objects_2 = src/dcdflib/psi.lo src/dcdflib/alngam.lo \
183         src/dcdflib/erfc1.lo src/dcdflib/cdff.lo src/dcdflib/spmpar.lo \
184         src/dcdflib/cumnor.lo src/dcdflib/cdfpoi.lo \
185         src/dcdflib/bcorr.lo src/dcdflib/cumchi.lo \
186         src/dcdflib/apser.lo src/dcdflib/gamln1.lo src/dcdflib/cdft.lo \
187         src/dcdflib/gaminv.lo src/dcdflib/cumnbn.lo \
188         src/dcdflib/cdffnc.lo src/dcdflib/rlog1.lo \
189         src/dcdflib/cdfchn.lo src/dcdflib/dt1.lo src/dcdflib/bgrat.lo \
190         src/dcdflib/dinvnr.lo src/dcdflib/rlog.lo src/dcdflib/basym.lo \
191         src/dcdflib/bfrac.lo src/dcdflib/cumbin.lo \
192         src/dcdflib/cumbet.lo src/dcdflib/rcomp.lo \
193         src/dcdflib/cdfgam.lo src/dcdflib/gratio.lo \
194         src/dcdflib/gam1.lo src/dcdflib/exparg.lo \
195         src/dcdflib/ipmpar.lo src/dcdflib/cumf.lo \
196         src/dcdflib/cumpoi.lo src/dcdflib/gamln.lo \
197         src/dcdflib/betaln.lo src/dcdflib/stvaln.lo \
198         src/dcdflib/cumt.lo src/dcdflib/esum.lo src/dcdflib/bpser.lo \
199         src/dcdflib/cdfnor.lo src/dcdflib/cumfnc.lo src/dcdflib/erf.lo \
200         src/dcdflib/alnrel.lo src/dcdflib/cumchn.lo \
201         src/dcdflib/rexp.lo src/dcdflib/fpser.lo src/dcdflib/bratio.lo \
202         src/dcdflib/cdfchi.lo src/dcdflib/gamma.lo \
203         src/dcdflib/dinvr.lo src/dcdflib/brcomp.lo \
204         src/dcdflib/devlpl.lo src/dcdflib/cdfnbn.lo \
205         src/dcdflib/dzror.lo src/dcdflib/gsumln.lo \
206         src/dcdflib/algdiv.lo src/dcdflib/cumgam.lo \
207         src/dcdflib/grat1.lo src/dcdflib/brcmp1.lo \
208         src/dcdflib/cdfbin.lo src/dcdflib/bup.lo src/dcdflib/cdfbet.lo
209 am_libscistatistics_algo_la_OBJECTS = $(am__objects_1) \
210         $(am__objects_2)
211 libscistatistics_algo_la_OBJECTS =  \
212         $(am_libscistatistics_algo_la_OBJECTS)
213 AM_V_lt = $(am__v_lt_@AM_V@)
214 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
215 am__v_lt_0 = --silent
216 am__v_lt_1 = 
217 am__DEPENDENCIES_1 =
218 libscistatistics_la_DEPENDENCIES = libscistatistics-algo.la \
219         $(am__DEPENDENCIES_1)
220 am__objects_3 = sci_gateway/c/libscistatistics_la-sci_cdfchi.lo \
221         sci_gateway/c/libscistatistics_la-sci_cdft.lo \
222         sci_gateway/c/libscistatistics_la-sci_cdfgam.lo \
223         sci_gateway/c/libscistatistics_la-sci_cdff.lo \
224         sci_gateway/c/libscistatistics_la-sci_cdffnc.lo \
225         sci_gateway/c/libscistatistics_la-sci_cdfpoi.lo \
226         sci_gateway/c/libscistatistics_la-sci_cdfbin.lo \
227         sci_gateway/c/libscistatistics_la-sci_cdfchn.lo \
228         sci_gateway/c/libscistatistics_la-sci_cdfbet.lo \
229         sci_gateway/c/libscistatistics_la-sci_cdfnbn.lo \
230         sci_gateway/c/libscistatistics_la-sci_cdfnor.lo
231 am_libscistatistics_la_OBJECTS = $(am__objects_3)
232 libscistatistics_la_OBJECTS = $(am_libscistatistics_la_OBJECTS)
233 AM_V_P = $(am__v_P_@AM_V@)
234 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
235 am__v_P_0 = false
236 am__v_P_1 = :
237 AM_V_GEN = $(am__v_GEN_@AM_V@)
238 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
239 am__v_GEN_0 = @echo "  GEN     " $@;
240 am__v_GEN_1 = 
241 AM_V_at = $(am__v_at_@AM_V@)
242 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
243 am__v_at_0 = @
244 am__v_at_1 = 
245 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
246 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
247 am__maybe_remake_depfiles = depfiles
248 am__depfiles_remade =  \
249         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbet.Plo \
250         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbin.Plo \
251         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchi.Plo \
252         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchn.Plo \
253         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdff.Plo \
254         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdffnc.Plo \
255         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfgam.Plo \
256         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnbn.Plo \
257         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnor.Plo \
258         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfpoi.Plo \
259         sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdft.Plo \
260         src/c/$(DEPDIR)/libscistatistics_algo_la-CdfBase.Plo \
261         src/c/$(DEPDIR)/libscistatistics_algo_la-ipmpar1.Plo \
262         src/c/$(DEPDIR)/libscistatistics_algo_la-sci_string_matrix.Plo
263 am__mv = mv -f
264 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
265         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
266 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
267         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
268         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
269         $(AM_CFLAGS) $(CFLAGS)
270 AM_V_CC = $(am__v_CC_@AM_V@)
271 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
272 am__v_CC_0 = @echo "  CC      " $@;
273 am__v_CC_1 = 
274 CCLD = $(CC)
275 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
276         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
277         $(AM_LDFLAGS) $(LDFLAGS) -o $@
278 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
279 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
280 am__v_CCLD_0 = @echo "  CCLD    " $@;
281 am__v_CCLD_1 = 
282 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
283 LTF77COMPILE = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
284         $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
285 AM_V_F77 = $(am__v_F77_@AM_V@)
286 am__v_F77_ = $(am__v_F77_@AM_DEFAULT_V@)
287 am__v_F77_0 = @echo "  F77     " $@;
288 am__v_F77_1 = 
289 F77LD = $(F77)
290 F77LINK = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
291         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
292         $(AM_LDFLAGS) $(LDFLAGS) -o $@
293 AM_V_F77LD = $(am__v_F77LD_@AM_V@)
294 am__v_F77LD_ = $(am__v_F77LD_@AM_DEFAULT_V@)
295 am__v_F77LD_0 = @echo "  F77LD   " $@;
296 am__v_F77LD_1 = 
297 SOURCES = $(libscistatistics_algo_la_SOURCES) \
298         $(libscistatistics_la_SOURCES)
299 DIST_SOURCES = $(libscistatistics_algo_la_SOURCES) \
300         $(libscistatistics_la_SOURCES)
301 am__can_run_installinfo = \
302   case $$AM_UPDATE_INFO_DIR in \
303     n|no|NO) false;; \
304     *) (install-info --version) >/dev/null 2>&1;; \
305   esac
306 DATA = $(libscistatistics_la_etc_DATA) \
307         $(libscistatistics_la_root_DATA) \
308         $(libscistatistics_la_sci_gateway_DATA)
309 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
310 # Read a list of newline-separated strings from the standard input,
311 # and print each of them once, without duplicates.  Input order is
312 # *not* preserved.
313 am__uniquify_input = $(AWK) '\
314   BEGIN { nonempty = 0; } \
315   { items[$$0] = 1; nonempty = 1; } \
316   END { if (nonempty) { for (i in items) print i; }; } \
317 '
318 # Make sure the list of sources is unique.  This is necessary because,
319 # e.g., the same source file might be shared among _SOURCES variables
320 # for different programs/libraries.
321 am__define_uniq_tagged_files = \
322   list='$(am__tagged_files)'; \
323   unique=`for i in $$list; do \
324     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
325   done | $(am__uniquify_input)`
326 ETAGS = etags
327 CTAGS = ctags
328 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
329         $(top_srcdir)/config/depcomp \
330         $(top_srcdir)/config/mkinstalldirs
331 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
332 ACLOCAL = @ACLOCAL@
333 ALL_LINGUAS = @ALL_LINGUAS@
334 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
335 AMTAR = @AMTAR@
336 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
337 ANT = @ANT@
338 ANTLR = @ANTLR@
339 AR = @AR@
340 ARPACK_LIBS = @ARPACK_LIBS@
341 ASM3 = @ASM3@
342 AUTOCONF = @AUTOCONF@
343 AUTOHEADER = @AUTOHEADER@
344 AUTOMAKE = @AUTOMAKE@
345 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
346 AWK = @AWK@
347 BATIK = @BATIK@
348 BLAS_CFLAGS = @BLAS_CFLAGS@
349 BLAS_LIBS = @BLAS_LIBS@
350 CC = @CC@
351 CCACHE = @CCACHE@
352 CCDEPMODE = @CCDEPMODE@
353 CFLAGS = @CFLAGS@
354 CHECKSTYLE = @CHECKSTYLE@
355 COBERTURA = @COBERTURA@
356 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
357 COMMONS_IO = @COMMONS_IO@
358 COMMONS_LOGGING = @COMMONS_LOGGING@
359 CPP = @CPP@
360 CPPFLAGS = @CPPFLAGS@
361 CURL_CFLAGS = @CURL_CFLAGS@
362 CURL_CONFIG = @CURL_CONFIG@
363 CURL_LIBS = @CURL_LIBS@
364 CURL_VERSION = @CURL_VERSION@
365 CXX = @CXX@
366 CXXCPP = @CXXCPP@
367 CXXDEPMODE = @CXXDEPMODE@
368 CXXFLAGS = @CXXFLAGS@
369 CYGPATH_W = @CYGPATH_W@
370 DEFS = @DEFS@
371 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
372 DEPDIR = @DEPDIR@
373 DLLTOOL = @DLLTOOL@
374 DOCBOOK_ROOT = @DOCBOOK_ROOT@
375 DOXYGEN_BIN = @DOXYGEN_BIN@
376 DSYMUTIL = @DSYMUTIL@
377 DUMPBIN = @DUMPBIN@
378 ECHO_C = @ECHO_C@
379 ECHO_N = @ECHO_N@
380 ECHO_T = @ECHO_T@
381 ECJ = @ECJ@
382 EGREP = @EGREP@
383 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
384 EXEEXT = @EXEEXT@
385 F77 = @F77@
386 FFLAGS = @FFLAGS@
387 FFTW3_LIB = @FFTW3_LIB@
388 FFTW_ENABLE = @FFTW_ENABLE@
389 FGREP = @FGREP@
390 FLEXDOCK = @FLEXDOCK@
391 FLIBS = @FLIBS@
392 FOP = @FOP@
393 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
394 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
395 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
396 FREEHEP_IO = @FREEHEP_IO@
397 FREEHEP_UTIL = @FREEHEP_UTIL@
398 GENHTML = @GENHTML@
399 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
400 GIWS_BIN = @GIWS_BIN@
401 GLUEGEN2_RT = @GLUEGEN2_RT@
402 GMSGFMT = @GMSGFMT@
403 GMSGFMT_015 = @GMSGFMT_015@
404 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
405 GREP = @GREP@
406 GUI_ENABLE = @GUI_ENABLE@
407 HAMCREST = @HAMCREST@
408 HAVE_CXX11 = @HAVE_CXX11@
409 HDF5_CFLAGS = @HDF5_CFLAGS@
410 HDF5_LIBS = @HDF5_LIBS@
411 HELP_ENABLE = @HELP_ENABLE@
412 INSTALL = @INSTALL@
413 INSTALL_DATA = @INSTALL_DATA@
414 INSTALL_PROGRAM = @INSTALL_PROGRAM@
415 INSTALL_SCRIPT = @INSTALL_SCRIPT@
416 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
417 INTLLIBS = @INTLLIBS@
418 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
419 JAR = @JAR@
420 JAVA = @JAVA@
421 JAVAC = @JAVAC@
422 JAVAC_DEBUG = @JAVAC_DEBUG@
423 JAVADOC = @JAVADOC@
424 JAVAH = @JAVAH@
425 JAVASCI_ENABLE = @JAVASCI_ENABLE@
426 JAVA_ENABLE = @JAVA_ENABLE@
427 JAVA_G = @JAVA_G@
428 JAVA_HOME = @JAVA_HOME@
429 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
430 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
431 JDB = @JDB@
432 JEUCLID_CORE = @JEUCLID_CORE@
433 JGRAPHX = @JGRAPHX@
434 JHALL = @JHALL@
435 JLATEXMATH = @JLATEXMATH@
436 JLATEXMATH_FOP = @JLATEXMATH_FOP@
437 JOGL2 = @JOGL2@
438 JROSETTA_API = @JROSETTA_API@
439 JROSETTA_ENGINE = @JROSETTA_ENGINE@
440 JUNIT4 = @JUNIT4@
441 LAPACK_LIBS = @LAPACK_LIBS@
442 LCOV = @LCOV@
443 LD = @LD@
444 LDFLAGS = @LDFLAGS@
445 LEX = @LEX@
446 LEXLIB = @LEXLIB@
447 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
448 LIBICONV = @LIBICONV@
449 LIBINTL = @LIBINTL@
450 LIBM = @LIBM@
451 LIBOBJS = @LIBOBJS@
452 LIBS = @LIBS@
453 LIBTOOL = @LIBTOOL@
454 LIPO = @LIPO@
455 LN_S = @LN_S@
456 LOGGING_LEVEL = @LOGGING_LEVEL@
457 LOOKS = @LOOKS@
458 LTLIBICONV = @LTLIBICONV@
459 LTLIBINTL = @LTLIBINTL@
460 LTLIBOBJS = @LTLIBOBJS@
461 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
462 LUCENE = @LUCENE@
463 LUCENE_ANALYZER = @LUCENE_ANALYZER@
464 LUCENE_PARSER = @LUCENE_PARSER@
465 MAINT = @MAINT@
466 MAKEINFO = @MAKEINFO@
467 MANIFEST_TOOL = @MANIFEST_TOOL@
468 MATIO_CFLAGS = @MATIO_CFLAGS@
469 MATIO_ENABLE = @MATIO_ENABLE@
470 MATIO_LIBS = @MATIO_LIBS@
471 MKDIR_P = @MKDIR_P@
472 MPI_ENABLE = @MPI_ENABLE@
473 MSGCAT = @MSGCAT@
474 MSGFMT = @MSGFMT@
475 MSGFMT_015 = @MSGFMT_015@
476 MSGMERGE = @MSGMERGE@
477 NM = @NM@
478 NMEDIT = @NMEDIT@
479 OBJDUMP = @OBJDUMP@
480 OBJEXT = @OBJEXT@
481 OCAMLC = @OCAMLC@
482 OCAMLDEP = @OCAMLDEP@
483 OCAMLLEX = @OCAMLLEX@
484 OCAMLOPT = @OCAMLOPT@
485 OCAMLYACC = @OCAMLYACC@
486 OPENMPI_CC = @OPENMPI_CC@
487 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
488 OPENMPI_CXX = @OPENMPI_CXX@
489 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
490 OPENMPI_LIBS = @OPENMPI_LIBS@
491 OPENMP_CFLAGS = @OPENMP_CFLAGS@
492 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
493 OPENMP_ENABLE = @OPENMP_ENABLE@
494 OPENMP_LIBS = @OPENMP_LIBS@
495 OTOOL = @OTOOL@
496 OTOOL64 = @OTOOL64@
497 PACKAGE = @PACKAGE@
498 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
499 PACKAGE_NAME = @PACKAGE_NAME@
500 PACKAGE_STRING = @PACKAGE_STRING@
501 PACKAGE_TARNAME = @PACKAGE_TARNAME@
502 PACKAGE_URL = @PACKAGE_URL@
503 PACKAGE_VERSION = @PACKAGE_VERSION@
504 PATH_SEPARATOR = @PATH_SEPARATOR@
505 PCRE_CFLAGS = @PCRE_CFLAGS@
506 PCRE_CONFIG = @PCRE_CONFIG@
507 PCRE_LIBS = @PCRE_LIBS@
508 PCRE_VERSION = @PCRE_VERSION@
509 PKG_CONFIG = @PKG_CONFIG@
510 POSUB = @POSUB@
511 POW_LIB = @POW_LIB@
512 PYTHON = @PYTHON@
513 RANLIB = @RANLIB@
514 RELOCATABLE = @RELOCATABLE@
515 RT_LIB = @RT_LIB@
516 SAXON = @SAXON@
517 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
518 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
519 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
520 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
521 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
522 SCIRENDERER = @SCIRENDERER@
523 SCIRENDERER_CP = @SCIRENDERER_CP@
524 SCI_CFLAGS = @SCI_CFLAGS@
525 SCI_CXXFLAGS = @SCI_CXXFLAGS@
526 SCI_FFLAGS = @SCI_FFLAGS@
527 SCI_LDFLAGS = @SCI_LDFLAGS@
528 SED = @SED@
529 SET_MAKE = @SET_MAKE@
530 SET_RELOCATABLE = @SET_RELOCATABLE@
531 SHELL = @SHELL@
532 SKINLF = @SKINLF@
533 SPLINT = @SPLINT@
534 STRIP = @STRIP@
535 SWIG_BIN = @SWIG_BIN@
536 SWIG_JAVA = @SWIG_JAVA@
537 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
538 SWIG_SCILAB = @SWIG_SCILAB@
539 TCLTK_LIBS = @TCLTK_LIBS@
540 TCL_INC_PATH = @TCL_INC_PATH@
541 TK_INC_PATH = @TK_INC_PATH@
542 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
543 UMFPACK_ENABLE = @UMFPACK_ENABLE@
544 UMFPACK_LIB = @UMFPACK_LIB@
545 USE_NLS = @USE_NLS@
546 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
547 VALGRIND_LIBS = @VALGRIND_LIBS@
548 VERSION = @VERSION@
549 WITH_OCAML = @WITH_OCAML@
550 WITH_TKSCI = @WITH_TKSCI@
551 XCOS_ENABLE = @XCOS_ENABLE@
552 XGETTEXT = @XGETTEXT@
553 XGETTEXT_015 = @XGETTEXT_015@
554 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
555 XMKMF = @XMKMF@
556 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
557 XML_APIS_EXT = @XML_APIS_EXT@
558 XML_CONFIG = @XML_CONFIG@
559 XML_FLAGS = @XML_FLAGS@
560 XML_LIBS = @XML_LIBS@
561 XML_VERSION = @XML_VERSION@
562 X_CFLAGS = @X_CFLAGS@
563 X_EXTRA_LIBS = @X_EXTRA_LIBS@
564 X_LIBS = @X_LIBS@
565 X_PRE_LIBS = @X_PRE_LIBS@
566 YACC = @YACC@
567 YFLAGS = @YFLAGS@
568 abs_builddir = @abs_builddir@
569 abs_srcdir = @abs_srcdir@
570 abs_top_builddir = @abs_top_builddir@
571 abs_top_srcdir = @abs_top_srcdir@
572 ac_ct_AR = @ac_ct_AR@
573 ac_ct_CC = @ac_ct_CC@
574 ac_ct_CXX = @ac_ct_CXX@
575 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
576 ac_ct_F77 = @ac_ct_F77@
577 am__include = @am__include@
578 am__leading_dot = @am__leading_dot@
579 am__quote = @am__quote@
580 am__tar = @am__tar@
581 am__untar = @am__untar@
582 bindir = @bindir@
583 build = @build@
584 build_alias = @build_alias@
585 build_cpu = @build_cpu@
586 build_os = @build_os@
587 build_vendor = @build_vendor@
588 builddir = @builddir@
589 cxx_present = @cxx_present@
590 datadir = @datadir@
591 datarootdir = @datarootdir@
592 docdir = @docdir@
593 dvidir = @dvidir@
594 exec_prefix = @exec_prefix@
595 host = @host@
596 host_alias = @host_alias@
597 host_cpu = @host_cpu@
598 host_os = @host_os@
599 host_vendor = @host_vendor@
600 htmldir = @htmldir@
601 includedir = @includedir@
602 infodir = @infodir@
603 install_sh = @install_sh@
604 libdir = @libdir@
605 libexecdir = @libexecdir@
606 localedir = @localedir@
607 localstatedir = @localstatedir@
608 mandir = @mandir@
609 mkdir_p = @mkdir_p@
610 oldincludedir = @oldincludedir@
611 pdfdir = @pdfdir@
612 prefix = @prefix@
613 program_transform_name = @program_transform_name@
614 psdir = @psdir@
615 sbindir = @sbindir@
616 sharedstatedir = @sharedstatedir@
617 srcdir = @srcdir@
618 sysconfdir = @sysconfdir@
619 target_alias = @target_alias@
620 top_build_prefix = @top_build_prefix@
621 top_builddir = @top_builddir@
622 top_srcdir = @top_srcdir@
623 yacc_present = @yacc_present@
624 STATISTICS_C_SOURCES = \
625         src/c/CdfBase.c \
626         src/c/ipmpar1.c \
627         src/c/sci_string_matrix.c
628
629 STATISTICS_FORTRAN_SOURCES = \
630         src/dcdflib/psi.f \
631         src/dcdflib/alngam.f \
632     src/dcdflib/erfc1.f \
633     src/dcdflib/cdff.f \
634     src/dcdflib/spmpar.f \
635     src/dcdflib/cumnor.f \
636     src/dcdflib/cdfpoi.f \
637     src/dcdflib/bcorr.f \
638     src/dcdflib/cumchi.f \
639     src/dcdflib/apser.f \
640     src/dcdflib/gamln1.f \
641     src/dcdflib/cdft.f \
642     src/dcdflib/gaminv.f \
643     src/dcdflib/cumnbn.f \
644     src/dcdflib/cdffnc.f \
645     src/dcdflib/rlog1.f \
646     src/dcdflib/cdfchn.f \
647     src/dcdflib/dt1.f \
648     src/dcdflib/bgrat.f \
649     src/dcdflib/dinvnr.f \
650     src/dcdflib/rlog.f \
651     src/dcdflib/basym.f \
652     src/dcdflib/bfrac.f \
653     src/dcdflib/cumbin.f \
654     src/dcdflib/cumbet.f \
655     src/dcdflib/rcomp.f \
656     src/dcdflib/cdfgam.f \
657     src/dcdflib/gratio.f \
658     src/dcdflib/gam1.f \
659     src/dcdflib/exparg.f \
660     src/dcdflib/ipmpar.f \
661     src/dcdflib/cumf.f \
662     src/dcdflib/cumpoi.f \
663     src/dcdflib/gamln.f \
664     src/dcdflib/betaln.f \
665     src/dcdflib/stvaln.f \
666     src/dcdflib/cumt.f \
667     src/dcdflib/esum.f \
668     src/dcdflib/bpser.f \
669     src/dcdflib/cdfnor.f \
670     src/dcdflib/cumfnc.f \
671     src/dcdflib/erf.f \
672     src/dcdflib/alnrel.f \
673     src/dcdflib/cumchn.f \
674     src/dcdflib/rexp.f \
675     src/dcdflib/fpser.f \
676     src/dcdflib/bratio.f \
677     src/dcdflib/cdfchi.f \
678     src/dcdflib/gamma.f \
679     src/dcdflib/dinvr.f \
680     src/dcdflib/brcomp.f \
681     src/dcdflib/devlpl.f \
682     src/dcdflib/cdfnbn.f \
683     src/dcdflib/dzror.f \
684     src/dcdflib/gsumln.f \
685     src/dcdflib/algdiv.f \
686     src/dcdflib/cumgam.f \
687     src/dcdflib/grat1.f \
688     src/dcdflib/brcmp1.f \
689     src/dcdflib/cdfbin.f \
690     src/dcdflib/bup.f \
691     src/dcdflib/cdfbet.f
692
693 GATEWAY_C_SOURCES = \
694         sci_gateway/c/sci_cdfchi.c \
695         sci_gateway/c/sci_cdft.c \
696         sci_gateway/c/sci_cdfgam.c \
697         sci_gateway/c/sci_cdff.c \
698         sci_gateway/c/sci_cdffnc.c \
699         sci_gateway/c/sci_cdfpoi.c \
700         sci_gateway/c/sci_cdfbin.c \
701         sci_gateway/c/sci_cdfchn.c \
702         sci_gateway/c/sci_cdfbet.c \
703         sci_gateway/c/sci_cdfnbn.c \
704         sci_gateway/c/sci_cdfnor.c
705
706 libscistatistics_la_CPPFLAGS = \
707     -I$(srcdir)/includes/ \
708     -I$(srcdir)/src/c/ \
709     -I$(top_srcdir)/modules/ast/includes/ast/ \
710     -I$(top_srcdir)/modules/ast/includes/exps/ \
711     -I$(top_srcdir)/modules/ast/includes/operations/ \
712     -I$(top_srcdir)/modules/ast/includes/parse/ \
713     -I$(top_srcdir)/modules/ast/includes/symbol/ \
714     -I$(top_srcdir)/modules/ast/includes/system_env/ \
715     -I$(top_srcdir)/modules/ast/includes/types/ \
716     -I$(top_srcdir)/modules/ast/includes/analysis/ \
717     -I$(top_srcdir)/modules/api_scilab/includes/ \
718     -I$(top_srcdir)/modules/output_stream/includes/ \
719     -I$(top_srcdir)/modules/localization/includes/ \
720     -I$(top_srcdir)/modules/dynamic_link/includes \
721     $(AM_CPPFLAGS)
722
723 pkglib_LTLIBRARIES = libscistatistics.la
724 noinst_LTLIBRARIES = libscistatistics-algo.la
725 libscistatistics_algo_la_SOURCES = $(STATISTICS_C_SOURCES) $(STATISTICS_FORTRAN_SOURCES)
726 libscistatistics_la_SOURCES = $(GATEWAY_C_SOURCES)
727 libscistatistics_algo_la_CPPFLAGS = $(libscistatistics_la_CPPFLAGS)
728
729 # For the code check (splint)
730 CHECK_SRC = $(STATISTICS_C_SOURCES) $(GATEWAY_C_SOURCES)
731 INCLUDE_FLAGS = $(libscistatistics_la_CPPFLAGS)
732 libscistatistics_la_LIBADD = libscistatistics-algo.la $(FLIBS)
733
734 #### Target ######
735 modulename = statistics
736
737 #### statistics : Conf files ####
738 libscistatistics_la_rootdir = $(mydatadir)
739 libscistatistics_la_root_DATA = license.txt 
740
741 ####¬†statistics : init scripts ####
742 libscistatistics_la_etcdir = $(mydatadir)/etc
743 libscistatistics_la_etc_DATA = etc/statistics.quit etc/statistics.start
744
745 ####¬†statistics : gateway declaration ####
746 libscistatistics_la_sci_gatewaydir = $(mydatadir)/sci_gateway
747 libscistatistics_la_sci_gateway_DATA = sci_gateway/statistics_gateway.xml
748
749 # Where all the Scilab stuff is installed (macros, help, ...)
750 mydatadir = $(pkgdatadir)/modules/$(modulename)
751
752 # Set AM_* SCI detected settings
753 AM_CPPFLAGS = $(SCI_CPPFLAGS)
754 AM_CFLAGS = $(SCI_CFLAGS)
755 AM_CXXFLAGS = $(SCI_CXXFLAGS)
756 # append includes to AM_FFLAGS to manage fortran includes
757 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
758
759 # Tag shared libraries with the Scilab version
760 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
761
762 # splint options
763 SPLINT_OPTIONS = -weak -booltype BOOL
764
765 ########################### JAVA ######################################
766 #### We are delegating java compilation to ant... Thanks to that
767 #### the procedure will be the same with Microsoft Windows (C)
768 #### and Linux/Unix
769 #######################################################################
770 TARGETS_ALL = $(am__append_1)
771
772 ################ MACROS ######################
773 # Rule to build a macro
774 # NOT USED  AT THE MOMENT
775 SUFFIXES = .sci 
776
777 ########### INSTALL DOCUMENTATION ###################
778
779 # Install documentation files into the right target
780 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
781 # automake needs the html files to be present which is not the case when
782 # we are building Scilab
783
784 # Where it should be installed
785 pkgdocdir = $(mydatadir)
786
787 # What is the mask of the help source
788 DOCMASKXML = *.xml
789
790 # What is the mask of the MathML sources
791 DOCMASKMML = *.mml
792
793 ########### INSTALL DATA ###################
794 # Install macros, help & demos
795 # Where it should be installed
796 pkgmacrosdir = $(mydatadir)
797 # Which directory we process
798 MACRODIRS = macros/
799 # Mask of the Scilab sources macros
800 MACROMASK = *.sci
801 # Mask of the Scilab executable sources macros
802 MACROBUILDMASK = *.sce
803 # Mask of the Scilab compiled macros
804 MACROBINMASK = *.bin
805 # List of the standard directory for tests
806 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
807 # Where the demos should be installed
808 pkgdemosdir = $(mydatadir)
809 # List of the standard directory for demos
810 DEMOS_DIR = demos
811 # List of the standard directory for examples
812 EXAMPLES_DIR = examples
813 # Where to export JAVA archives (.jar)
814 JARDIR = jar/
815 # JAR files mask
816 JARMASK = *.jar
817 # Chapter file 
818 HELP_CHAPTERDIR = help/
819 HELP_CHAPTERFILE = addchapter.sce
820 HELP_CHAPTERLANG = en_US fr_FR pt_BR
821 all: all-am
822
823 .SUFFIXES:
824 .SUFFIXES: .sci .bin .c .f .lo .o .obj
825 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
826         @for dep in $?; do \
827           case '$(am__configure_deps)' in \
828             *$$dep*) \
829               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
830                 && { if test -f $@; then exit 0; else break; fi; }; \
831               exit 1;; \
832           esac; \
833         done; \
834         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/statistics/Makefile'; \
835         $(am__cd) $(top_srcdir) && \
836           $(AUTOMAKE) --foreign modules/statistics/Makefile
837 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
838         @case '$?' in \
839           *config.status*) \
840             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
841           *) \
842             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
843             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
844         esac;
845 $(top_srcdir)/Makefile.incl.am $(am__empty):
846
847 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
848         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
849
850 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
851         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
852 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
853         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
854 $(am__aclocal_m4_deps):
855
856 clean-noinstLTLIBRARIES:
857         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
858         @list='$(noinst_LTLIBRARIES)'; \
859         locs=`for p in $$list; do echo $$p; done | \
860               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
861               sort -u`; \
862         test -z "$$locs" || { \
863           echo rm -f $${locs}; \
864           rm -f $${locs}; \
865         }
866
867 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
868         @$(NORMAL_INSTALL)
869         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
870         list2=; for p in $$list; do \
871           if test -f $$p; then \
872             list2="$$list2 $$p"; \
873           else :; fi; \
874         done; \
875         test -z "$$list2" || { \
876           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
877           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
878           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
879           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
880         }
881
882 uninstall-pkglibLTLIBRARIES:
883         @$(NORMAL_UNINSTALL)
884         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
885         for p in $$list; do \
886           $(am__strip_dir) \
887           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
888           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
889         done
890
891 clean-pkglibLTLIBRARIES:
892         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
893         @list='$(pkglib_LTLIBRARIES)'; \
894         locs=`for p in $$list; do echo $$p; done | \
895               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
896               sort -u`; \
897         test -z "$$locs" || { \
898           echo rm -f $${locs}; \
899           rm -f $${locs}; \
900         }
901 src/c/$(am__dirstamp):
902         @$(MKDIR_P) src/c
903         @: > src/c/$(am__dirstamp)
904 src/c/$(DEPDIR)/$(am__dirstamp):
905         @$(MKDIR_P) src/c/$(DEPDIR)
906         @: > src/c/$(DEPDIR)/$(am__dirstamp)
907 src/c/libscistatistics_algo_la-CdfBase.lo: src/c/$(am__dirstamp) \
908         src/c/$(DEPDIR)/$(am__dirstamp)
909 src/c/libscistatistics_algo_la-ipmpar1.lo: src/c/$(am__dirstamp) \
910         src/c/$(DEPDIR)/$(am__dirstamp)
911 src/c/libscistatistics_algo_la-sci_string_matrix.lo:  \
912         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
913 src/dcdflib/$(am__dirstamp):
914         @$(MKDIR_P) src/dcdflib
915         @: > src/dcdflib/$(am__dirstamp)
916 src/dcdflib/$(DEPDIR)/$(am__dirstamp):
917         @$(MKDIR_P) src/dcdflib/$(DEPDIR)
918         @: > src/dcdflib/$(DEPDIR)/$(am__dirstamp)
919 src/dcdflib/psi.lo: src/dcdflib/$(am__dirstamp) \
920         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
921 src/dcdflib/alngam.lo: src/dcdflib/$(am__dirstamp) \
922         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
923 src/dcdflib/erfc1.lo: src/dcdflib/$(am__dirstamp) \
924         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
925 src/dcdflib/cdff.lo: src/dcdflib/$(am__dirstamp) \
926         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
927 src/dcdflib/spmpar.lo: src/dcdflib/$(am__dirstamp) \
928         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
929 src/dcdflib/cumnor.lo: src/dcdflib/$(am__dirstamp) \
930         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
931 src/dcdflib/cdfpoi.lo: src/dcdflib/$(am__dirstamp) \
932         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
933 src/dcdflib/bcorr.lo: src/dcdflib/$(am__dirstamp) \
934         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
935 src/dcdflib/cumchi.lo: src/dcdflib/$(am__dirstamp) \
936         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
937 src/dcdflib/apser.lo: src/dcdflib/$(am__dirstamp) \
938         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
939 src/dcdflib/gamln1.lo: src/dcdflib/$(am__dirstamp) \
940         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
941 src/dcdflib/cdft.lo: src/dcdflib/$(am__dirstamp) \
942         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
943 src/dcdflib/gaminv.lo: src/dcdflib/$(am__dirstamp) \
944         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
945 src/dcdflib/cumnbn.lo: src/dcdflib/$(am__dirstamp) \
946         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
947 src/dcdflib/cdffnc.lo: src/dcdflib/$(am__dirstamp) \
948         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
949 src/dcdflib/rlog1.lo: src/dcdflib/$(am__dirstamp) \
950         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
951 src/dcdflib/cdfchn.lo: src/dcdflib/$(am__dirstamp) \
952         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
953 src/dcdflib/dt1.lo: src/dcdflib/$(am__dirstamp) \
954         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
955 src/dcdflib/bgrat.lo: src/dcdflib/$(am__dirstamp) \
956         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
957 src/dcdflib/dinvnr.lo: src/dcdflib/$(am__dirstamp) \
958         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
959 src/dcdflib/rlog.lo: src/dcdflib/$(am__dirstamp) \
960         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
961 src/dcdflib/basym.lo: src/dcdflib/$(am__dirstamp) \
962         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
963 src/dcdflib/bfrac.lo: src/dcdflib/$(am__dirstamp) \
964         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
965 src/dcdflib/cumbin.lo: src/dcdflib/$(am__dirstamp) \
966         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
967 src/dcdflib/cumbet.lo: src/dcdflib/$(am__dirstamp) \
968         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
969 src/dcdflib/rcomp.lo: src/dcdflib/$(am__dirstamp) \
970         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
971 src/dcdflib/cdfgam.lo: src/dcdflib/$(am__dirstamp) \
972         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
973 src/dcdflib/gratio.lo: src/dcdflib/$(am__dirstamp) \
974         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
975 src/dcdflib/gam1.lo: src/dcdflib/$(am__dirstamp) \
976         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
977 src/dcdflib/exparg.lo: src/dcdflib/$(am__dirstamp) \
978         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
979 src/dcdflib/ipmpar.lo: src/dcdflib/$(am__dirstamp) \
980         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
981 src/dcdflib/cumf.lo: src/dcdflib/$(am__dirstamp) \
982         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
983 src/dcdflib/cumpoi.lo: src/dcdflib/$(am__dirstamp) \
984         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
985 src/dcdflib/gamln.lo: src/dcdflib/$(am__dirstamp) \
986         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
987 src/dcdflib/betaln.lo: src/dcdflib/$(am__dirstamp) \
988         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
989 src/dcdflib/stvaln.lo: src/dcdflib/$(am__dirstamp) \
990         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
991 src/dcdflib/cumt.lo: src/dcdflib/$(am__dirstamp) \
992         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
993 src/dcdflib/esum.lo: src/dcdflib/$(am__dirstamp) \
994         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
995 src/dcdflib/bpser.lo: src/dcdflib/$(am__dirstamp) \
996         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
997 src/dcdflib/cdfnor.lo: src/dcdflib/$(am__dirstamp) \
998         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
999 src/dcdflib/cumfnc.lo: src/dcdflib/$(am__dirstamp) \
1000         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1001 src/dcdflib/erf.lo: src/dcdflib/$(am__dirstamp) \
1002         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1003 src/dcdflib/alnrel.lo: src/dcdflib/$(am__dirstamp) \
1004         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1005 src/dcdflib/cumchn.lo: src/dcdflib/$(am__dirstamp) \
1006         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1007 src/dcdflib/rexp.lo: src/dcdflib/$(am__dirstamp) \
1008         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1009 src/dcdflib/fpser.lo: src/dcdflib/$(am__dirstamp) \
1010         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1011 src/dcdflib/bratio.lo: src/dcdflib/$(am__dirstamp) \
1012         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1013 src/dcdflib/cdfchi.lo: src/dcdflib/$(am__dirstamp) \
1014         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1015 src/dcdflib/gamma.lo: src/dcdflib/$(am__dirstamp) \
1016         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1017 src/dcdflib/dinvr.lo: src/dcdflib/$(am__dirstamp) \
1018         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1019 src/dcdflib/brcomp.lo: src/dcdflib/$(am__dirstamp) \
1020         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1021 src/dcdflib/devlpl.lo: src/dcdflib/$(am__dirstamp) \
1022         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1023 src/dcdflib/cdfnbn.lo: src/dcdflib/$(am__dirstamp) \
1024         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1025 src/dcdflib/dzror.lo: src/dcdflib/$(am__dirstamp) \
1026         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1027 src/dcdflib/gsumln.lo: src/dcdflib/$(am__dirstamp) \
1028         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1029 src/dcdflib/algdiv.lo: src/dcdflib/$(am__dirstamp) \
1030         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1031 src/dcdflib/cumgam.lo: src/dcdflib/$(am__dirstamp) \
1032         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1033 src/dcdflib/grat1.lo: src/dcdflib/$(am__dirstamp) \
1034         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1035 src/dcdflib/brcmp1.lo: src/dcdflib/$(am__dirstamp) \
1036         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1037 src/dcdflib/cdfbin.lo: src/dcdflib/$(am__dirstamp) \
1038         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1039 src/dcdflib/bup.lo: src/dcdflib/$(am__dirstamp) \
1040         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1041 src/dcdflib/cdfbet.lo: src/dcdflib/$(am__dirstamp) \
1042         src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1043
1044 libscistatistics-algo.la: $(libscistatistics_algo_la_OBJECTS) $(libscistatistics_algo_la_DEPENDENCIES) $(EXTRA_libscistatistics_algo_la_DEPENDENCIES) 
1045         $(AM_V_F77LD)$(F77LINK)  $(libscistatistics_algo_la_OBJECTS) $(libscistatistics_algo_la_LIBADD) $(LIBS)
1046 sci_gateway/c/$(am__dirstamp):
1047         @$(MKDIR_P) sci_gateway/c
1048         @: > sci_gateway/c/$(am__dirstamp)
1049 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
1050         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
1051         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1052 sci_gateway/c/libscistatistics_la-sci_cdfchi.lo:  \
1053         sci_gateway/c/$(am__dirstamp) \
1054         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1055 sci_gateway/c/libscistatistics_la-sci_cdft.lo:  \
1056         sci_gateway/c/$(am__dirstamp) \
1057         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1058 sci_gateway/c/libscistatistics_la-sci_cdfgam.lo:  \
1059         sci_gateway/c/$(am__dirstamp) \
1060         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1061 sci_gateway/c/libscistatistics_la-sci_cdff.lo:  \
1062         sci_gateway/c/$(am__dirstamp) \
1063         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1064 sci_gateway/c/libscistatistics_la-sci_cdffnc.lo:  \
1065         sci_gateway/c/$(am__dirstamp) \
1066         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1067 sci_gateway/c/libscistatistics_la-sci_cdfpoi.lo:  \
1068         sci_gateway/c/$(am__dirstamp) \
1069         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1070 sci_gateway/c/libscistatistics_la-sci_cdfbin.lo:  \
1071         sci_gateway/c/$(am__dirstamp) \
1072         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1073 sci_gateway/c/libscistatistics_la-sci_cdfchn.lo:  \
1074         sci_gateway/c/$(am__dirstamp) \
1075         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1076 sci_gateway/c/libscistatistics_la-sci_cdfbet.lo:  \
1077         sci_gateway/c/$(am__dirstamp) \
1078         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1079 sci_gateway/c/libscistatistics_la-sci_cdfnbn.lo:  \
1080         sci_gateway/c/$(am__dirstamp) \
1081         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1082 sci_gateway/c/libscistatistics_la-sci_cdfnor.lo:  \
1083         sci_gateway/c/$(am__dirstamp) \
1084         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1085
1086 libscistatistics.la: $(libscistatistics_la_OBJECTS) $(libscistatistics_la_DEPENDENCIES) $(EXTRA_libscistatistics_la_DEPENDENCIES) 
1087         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libscistatistics_la_OBJECTS) $(libscistatistics_la_LIBADD) $(LIBS)
1088
1089 mostlyclean-compile:
1090         -rm -f *.$(OBJEXT)
1091         -rm -f sci_gateway/c/*.$(OBJEXT)
1092         -rm -f sci_gateway/c/*.lo
1093         -rm -f src/c/*.$(OBJEXT)
1094         -rm -f src/c/*.lo
1095         -rm -f src/dcdflib/*.$(OBJEXT)
1096         -rm -f src/dcdflib/*.lo
1097
1098 distclean-compile:
1099         -rm -f *.tab.c
1100
1101 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbet.Plo@am__quote@ # am--include-marker
1102 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbin.Plo@am__quote@ # am--include-marker
1103 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchi.Plo@am__quote@ # am--include-marker
1104 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchn.Plo@am__quote@ # am--include-marker
1105 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdff.Plo@am__quote@ # am--include-marker
1106 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdffnc.Plo@am__quote@ # am--include-marker
1107 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfgam.Plo@am__quote@ # am--include-marker
1108 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnbn.Plo@am__quote@ # am--include-marker
1109 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnor.Plo@am__quote@ # am--include-marker
1110 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfpoi.Plo@am__quote@ # am--include-marker
1111 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdft.Plo@am__quote@ # am--include-marker
1112 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscistatistics_algo_la-CdfBase.Plo@am__quote@ # am--include-marker
1113 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscistatistics_algo_la-ipmpar1.Plo@am__quote@ # am--include-marker
1114 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscistatistics_algo_la-sci_string_matrix.Plo@am__quote@ # am--include-marker
1115
1116 $(am__depfiles_remade):
1117         @$(MKDIR_P) $(@D)
1118         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
1119
1120 am--depfiles: $(am__depfiles_remade)
1121
1122 .c.o:
1123 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1124 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1125 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1126 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1127 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1128 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1129
1130 .c.obj:
1131 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1132 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1133 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1134 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1135 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1136 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1137
1138 .c.lo:
1139 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1140 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1141 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1142 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1143 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1144 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1145
1146 src/c/libscistatistics_algo_la-CdfBase.lo: src/c/CdfBase.c
1147 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscistatistics_algo_la-CdfBase.lo -MD -MP -MF src/c/$(DEPDIR)/libscistatistics_algo_la-CdfBase.Tpo -c -o src/c/libscistatistics_algo_la-CdfBase.lo `test -f 'src/c/CdfBase.c' || echo '$(srcdir)/'`src/c/CdfBase.c
1148 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscistatistics_algo_la-CdfBase.Tpo src/c/$(DEPDIR)/libscistatistics_algo_la-CdfBase.Plo
1149 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/CdfBase.c' object='src/c/libscistatistics_algo_la-CdfBase.lo' libtool=yes @AMDEPBACKSLASH@
1150 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1151 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscistatistics_algo_la-CdfBase.lo `test -f 'src/c/CdfBase.c' || echo '$(srcdir)/'`src/c/CdfBase.c
1152
1153 src/c/libscistatistics_algo_la-ipmpar1.lo: src/c/ipmpar1.c
1154 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscistatistics_algo_la-ipmpar1.lo -MD -MP -MF src/c/$(DEPDIR)/libscistatistics_algo_la-ipmpar1.Tpo -c -o src/c/libscistatistics_algo_la-ipmpar1.lo `test -f 'src/c/ipmpar1.c' || echo '$(srcdir)/'`src/c/ipmpar1.c
1155 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscistatistics_algo_la-ipmpar1.Tpo src/c/$(DEPDIR)/libscistatistics_algo_la-ipmpar1.Plo
1156 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ipmpar1.c' object='src/c/libscistatistics_algo_la-ipmpar1.lo' libtool=yes @AMDEPBACKSLASH@
1157 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1158 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscistatistics_algo_la-ipmpar1.lo `test -f 'src/c/ipmpar1.c' || echo '$(srcdir)/'`src/c/ipmpar1.c
1159
1160 src/c/libscistatistics_algo_la-sci_string_matrix.lo: src/c/sci_string_matrix.c
1161 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscistatistics_algo_la-sci_string_matrix.lo -MD -MP -MF src/c/$(DEPDIR)/libscistatistics_algo_la-sci_string_matrix.Tpo -c -o src/c/libscistatistics_algo_la-sci_string_matrix.lo `test -f 'src/c/sci_string_matrix.c' || echo '$(srcdir)/'`src/c/sci_string_matrix.c
1162 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscistatistics_algo_la-sci_string_matrix.Tpo src/c/$(DEPDIR)/libscistatistics_algo_la-sci_string_matrix.Plo
1163 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/sci_string_matrix.c' object='src/c/libscistatistics_algo_la-sci_string_matrix.lo' libtool=yes @AMDEPBACKSLASH@
1164 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1165 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscistatistics_algo_la-sci_string_matrix.lo `test -f 'src/c/sci_string_matrix.c' || echo '$(srcdir)/'`src/c/sci_string_matrix.c
1166
1167 sci_gateway/c/libscistatistics_la-sci_cdfchi.lo: sci_gateway/c/sci_cdfchi.c
1168 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdfchi.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchi.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdfchi.lo `test -f 'sci_gateway/c/sci_cdfchi.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfchi.c
1169 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchi.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchi.Plo
1170 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdfchi.c' object='sci_gateway/c/libscistatistics_la-sci_cdfchi.lo' libtool=yes @AMDEPBACKSLASH@
1171 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1172 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdfchi.lo `test -f 'sci_gateway/c/sci_cdfchi.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfchi.c
1173
1174 sci_gateway/c/libscistatistics_la-sci_cdft.lo: sci_gateway/c/sci_cdft.c
1175 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdft.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdft.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdft.lo `test -f 'sci_gateway/c/sci_cdft.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdft.c
1176 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdft.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdft.Plo
1177 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdft.c' object='sci_gateway/c/libscistatistics_la-sci_cdft.lo' libtool=yes @AMDEPBACKSLASH@
1178 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1179 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdft.lo `test -f 'sci_gateway/c/sci_cdft.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdft.c
1180
1181 sci_gateway/c/libscistatistics_la-sci_cdfgam.lo: sci_gateway/c/sci_cdfgam.c
1182 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdfgam.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfgam.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdfgam.lo `test -f 'sci_gateway/c/sci_cdfgam.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfgam.c
1183 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfgam.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfgam.Plo
1184 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdfgam.c' object='sci_gateway/c/libscistatistics_la-sci_cdfgam.lo' libtool=yes @AMDEPBACKSLASH@
1185 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1186 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdfgam.lo `test -f 'sci_gateway/c/sci_cdfgam.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfgam.c
1187
1188 sci_gateway/c/libscistatistics_la-sci_cdff.lo: sci_gateway/c/sci_cdff.c
1189 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdff.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdff.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdff.lo `test -f 'sci_gateway/c/sci_cdff.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdff.c
1190 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdff.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdff.Plo
1191 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdff.c' object='sci_gateway/c/libscistatistics_la-sci_cdff.lo' libtool=yes @AMDEPBACKSLASH@
1192 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1193 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdff.lo `test -f 'sci_gateway/c/sci_cdff.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdff.c
1194
1195 sci_gateway/c/libscistatistics_la-sci_cdffnc.lo: sci_gateway/c/sci_cdffnc.c
1196 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdffnc.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdffnc.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdffnc.lo `test -f 'sci_gateway/c/sci_cdffnc.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdffnc.c
1197 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdffnc.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdffnc.Plo
1198 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdffnc.c' object='sci_gateway/c/libscistatistics_la-sci_cdffnc.lo' libtool=yes @AMDEPBACKSLASH@
1199 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1200 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdffnc.lo `test -f 'sci_gateway/c/sci_cdffnc.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdffnc.c
1201
1202 sci_gateway/c/libscistatistics_la-sci_cdfpoi.lo: sci_gateway/c/sci_cdfpoi.c
1203 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdfpoi.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfpoi.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdfpoi.lo `test -f 'sci_gateway/c/sci_cdfpoi.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfpoi.c
1204 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfpoi.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfpoi.Plo
1205 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdfpoi.c' object='sci_gateway/c/libscistatistics_la-sci_cdfpoi.lo' libtool=yes @AMDEPBACKSLASH@
1206 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1207 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdfpoi.lo `test -f 'sci_gateway/c/sci_cdfpoi.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfpoi.c
1208
1209 sci_gateway/c/libscistatistics_la-sci_cdfbin.lo: sci_gateway/c/sci_cdfbin.c
1210 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdfbin.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbin.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdfbin.lo `test -f 'sci_gateway/c/sci_cdfbin.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfbin.c
1211 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbin.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbin.Plo
1212 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdfbin.c' object='sci_gateway/c/libscistatistics_la-sci_cdfbin.lo' libtool=yes @AMDEPBACKSLASH@
1213 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1214 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdfbin.lo `test -f 'sci_gateway/c/sci_cdfbin.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfbin.c
1215
1216 sci_gateway/c/libscistatistics_la-sci_cdfchn.lo: sci_gateway/c/sci_cdfchn.c
1217 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdfchn.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchn.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdfchn.lo `test -f 'sci_gateway/c/sci_cdfchn.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfchn.c
1218 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchn.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchn.Plo
1219 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdfchn.c' object='sci_gateway/c/libscistatistics_la-sci_cdfchn.lo' libtool=yes @AMDEPBACKSLASH@
1220 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1221 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdfchn.lo `test -f 'sci_gateway/c/sci_cdfchn.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfchn.c
1222
1223 sci_gateway/c/libscistatistics_la-sci_cdfbet.lo: sci_gateway/c/sci_cdfbet.c
1224 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdfbet.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbet.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdfbet.lo `test -f 'sci_gateway/c/sci_cdfbet.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfbet.c
1225 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbet.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbet.Plo
1226 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdfbet.c' object='sci_gateway/c/libscistatistics_la-sci_cdfbet.lo' libtool=yes @AMDEPBACKSLASH@
1227 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1228 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdfbet.lo `test -f 'sci_gateway/c/sci_cdfbet.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfbet.c
1229
1230 sci_gateway/c/libscistatistics_la-sci_cdfnbn.lo: sci_gateway/c/sci_cdfnbn.c
1231 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdfnbn.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnbn.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdfnbn.lo `test -f 'sci_gateway/c/sci_cdfnbn.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfnbn.c
1232 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnbn.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnbn.Plo
1233 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdfnbn.c' object='sci_gateway/c/libscistatistics_la-sci_cdfnbn.lo' libtool=yes @AMDEPBACKSLASH@
1234 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1235 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdfnbn.lo `test -f 'sci_gateway/c/sci_cdfnbn.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfnbn.c
1236
1237 sci_gateway/c/libscistatistics_la-sci_cdfnor.lo: sci_gateway/c/sci_cdfnor.c
1238 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscistatistics_la-sci_cdfnor.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnor.Tpo -c -o sci_gateway/c/libscistatistics_la-sci_cdfnor.lo `test -f 'sci_gateway/c/sci_cdfnor.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfnor.c
1239 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnor.Tpo sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnor.Plo
1240 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_cdfnor.c' object='sci_gateway/c/libscistatistics_la-sci_cdfnor.lo' libtool=yes @AMDEPBACKSLASH@
1241 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1242 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscistatistics_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscistatistics_la-sci_cdfnor.lo `test -f 'sci_gateway/c/sci_cdfnor.c' || echo '$(srcdir)/'`sci_gateway/c/sci_cdfnor.c
1243
1244 .f.o:
1245         $(AM_V_F77)$(F77COMPILE) -c -o $@ $<
1246
1247 .f.obj:
1248         $(AM_V_F77)$(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1249
1250 .f.lo:
1251         $(AM_V_F77)$(LTF77COMPILE) -c -o $@ $<
1252
1253 mostlyclean-libtool:
1254         -rm -f *.lo
1255
1256 clean-libtool:
1257         -rm -rf .libs _libs
1258         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1259         -rm -rf src/c/.libs src/c/_libs
1260         -rm -rf src/dcdflib/.libs src/dcdflib/_libs
1261 install-libscistatistics_la_etcDATA: $(libscistatistics_la_etc_DATA)
1262         @$(NORMAL_INSTALL)
1263         @list='$(libscistatistics_la_etc_DATA)'; test -n "$(libscistatistics_la_etcdir)" || list=; \
1264         if test -n "$$list"; then \
1265           echo " $(MKDIR_P) '$(DESTDIR)$(libscistatistics_la_etcdir)'"; \
1266           $(MKDIR_P) "$(DESTDIR)$(libscistatistics_la_etcdir)" || exit 1; \
1267         fi; \
1268         for p in $$list; do \
1269           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1270           echo "$$d$$p"; \
1271         done | $(am__base_list) | \
1272         while read files; do \
1273           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscistatistics_la_etcdir)'"; \
1274           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscistatistics_la_etcdir)" || exit $$?; \
1275         done
1276
1277 uninstall-libscistatistics_la_etcDATA:
1278         @$(NORMAL_UNINSTALL)
1279         @list='$(libscistatistics_la_etc_DATA)'; test -n "$(libscistatistics_la_etcdir)" || list=; \
1280         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1281         dir='$(DESTDIR)$(libscistatistics_la_etcdir)'; $(am__uninstall_files_from_dir)
1282 install-libscistatistics_la_rootDATA: $(libscistatistics_la_root_DATA)
1283         @$(NORMAL_INSTALL)
1284         @list='$(libscistatistics_la_root_DATA)'; test -n "$(libscistatistics_la_rootdir)" || list=; \
1285         if test -n "$$list"; then \
1286           echo " $(MKDIR_P) '$(DESTDIR)$(libscistatistics_la_rootdir)'"; \
1287           $(MKDIR_P) "$(DESTDIR)$(libscistatistics_la_rootdir)" || exit 1; \
1288         fi; \
1289         for p in $$list; do \
1290           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1291           echo "$$d$$p"; \
1292         done | $(am__base_list) | \
1293         while read files; do \
1294           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscistatistics_la_rootdir)'"; \
1295           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscistatistics_la_rootdir)" || exit $$?; \
1296         done
1297
1298 uninstall-libscistatistics_la_rootDATA:
1299         @$(NORMAL_UNINSTALL)
1300         @list='$(libscistatistics_la_root_DATA)'; test -n "$(libscistatistics_la_rootdir)" || list=; \
1301         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1302         dir='$(DESTDIR)$(libscistatistics_la_rootdir)'; $(am__uninstall_files_from_dir)
1303 install-libscistatistics_la_sci_gatewayDATA: $(libscistatistics_la_sci_gateway_DATA)
1304         @$(NORMAL_INSTALL)
1305         @list='$(libscistatistics_la_sci_gateway_DATA)'; test -n "$(libscistatistics_la_sci_gatewaydir)" || list=; \
1306         if test -n "$$list"; then \
1307           echo " $(MKDIR_P) '$(DESTDIR)$(libscistatistics_la_sci_gatewaydir)'"; \
1308           $(MKDIR_P) "$(DESTDIR)$(libscistatistics_la_sci_gatewaydir)" || exit 1; \
1309         fi; \
1310         for p in $$list; do \
1311           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1312           echo "$$d$$p"; \
1313         done | $(am__base_list) | \
1314         while read files; do \
1315           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscistatistics_la_sci_gatewaydir)'"; \
1316           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscistatistics_la_sci_gatewaydir)" || exit $$?; \
1317         done
1318
1319 uninstall-libscistatistics_la_sci_gatewayDATA:
1320         @$(NORMAL_UNINSTALL)
1321         @list='$(libscistatistics_la_sci_gateway_DATA)'; test -n "$(libscistatistics_la_sci_gatewaydir)" || list=; \
1322         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1323         dir='$(DESTDIR)$(libscistatistics_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1324
1325 ID: $(am__tagged_files)
1326         $(am__define_uniq_tagged_files); mkid -fID $$unique
1327 tags: tags-am
1328 TAGS: tags
1329
1330 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1331         set x; \
1332         here=`pwd`; \
1333         $(am__define_uniq_tagged_files); \
1334         shift; \
1335         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1336           test -n "$$unique" || unique=$$empty_fix; \
1337           if test $$# -gt 0; then \
1338             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1339               "$$@" $$unique; \
1340           else \
1341             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1342               $$unique; \
1343           fi; \
1344         fi
1345 ctags: ctags-am
1346
1347 CTAGS: ctags
1348 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1349         $(am__define_uniq_tagged_files); \
1350         test -z "$(CTAGS_ARGS)$$unique" \
1351           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1352              $$unique
1353
1354 GTAGS:
1355         here=`$(am__cd) $(top_builddir) && pwd` \
1356           && $(am__cd) $(top_srcdir) \
1357           && gtags -i $(GTAGS_ARGS) "$$here"
1358 cscopelist: cscopelist-am
1359
1360 cscopelist-am: $(am__tagged_files)
1361         list='$(am__tagged_files)'; \
1362         case "$(srcdir)" in \
1363           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1364           *) sdir=$(subdir)/$(srcdir) ;; \
1365         esac; \
1366         for i in $$list; do \
1367           if test -f "$$i"; then \
1368             echo "$(subdir)/$$i"; \
1369           else \
1370             echo "$$sdir/$$i"; \
1371           fi; \
1372         done >> $(top_builddir)/cscope.files
1373
1374 distclean-tags:
1375         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1376
1377 distdir: $(BUILT_SOURCES)
1378         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1379
1380 distdir-am: $(DISTFILES)
1381         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1382         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1383         list='$(DISTFILES)'; \
1384           dist_files=`for file in $$list; do echo $$file; done | \
1385           sed -e "s|^$$srcdirstrip/||;t" \
1386               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1387         case $$dist_files in \
1388           */*) $(MKDIR_P) `echo "$$dist_files" | \
1389                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1390                            sort -u` ;; \
1391         esac; \
1392         for file in $$dist_files; do \
1393           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1394           if test -d $$d/$$file; then \
1395             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1396             if test -d "$(distdir)/$$file"; then \
1397               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1398             fi; \
1399             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1400               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1401               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1402             fi; \
1403             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1404           else \
1405             test -f "$(distdir)/$$file" \
1406             || cp -p $$d/$$file "$(distdir)/$$file" \
1407             || exit 1; \
1408           fi; \
1409         done
1410 check-am: all-am
1411         $(MAKE) $(AM_MAKEFLAGS) check-local
1412 check: check-am
1413 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1414 installdirs:
1415         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscistatistics_la_etcdir)" "$(DESTDIR)$(libscistatistics_la_rootdir)" "$(DESTDIR)$(libscistatistics_la_sci_gatewaydir)"; do \
1416           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1417         done
1418 install: install-am
1419 install-exec: install-exec-am
1420 install-data: install-data-am
1421 uninstall: uninstall-am
1422
1423 install-am: all-am
1424         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1425
1426 installcheck: installcheck-am
1427 install-strip:
1428         if test -z '$(STRIP)'; then \
1429           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1430             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1431               install; \
1432         else \
1433           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1434             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1435             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1436         fi
1437 mostlyclean-generic:
1438
1439 clean-generic:
1440
1441 distclean-generic:
1442         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1443         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1444         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1445         -rm -f sci_gateway/c/$(am__dirstamp)
1446         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1447         -rm -f src/c/$(am__dirstamp)
1448         -rm -f src/dcdflib/$(DEPDIR)/$(am__dirstamp)
1449         -rm -f src/dcdflib/$(am__dirstamp)
1450
1451 maintainer-clean-generic:
1452         @echo "This command is intended for maintainers to use"
1453         @echo "it deletes files that may require special tools to rebuild."
1454 clean: clean-am
1455
1456 clean-am: clean-generic clean-libtool clean-local \
1457         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1458
1459 distclean: distclean-am
1460                 -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbet.Plo
1461         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbin.Plo
1462         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchi.Plo
1463         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchn.Plo
1464         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdff.Plo
1465         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdffnc.Plo
1466         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfgam.Plo
1467         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnbn.Plo
1468         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnor.Plo
1469         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfpoi.Plo
1470         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdft.Plo
1471         -rm -f src/c/$(DEPDIR)/libscistatistics_algo_la-CdfBase.Plo
1472         -rm -f src/c/$(DEPDIR)/libscistatistics_algo_la-ipmpar1.Plo
1473         -rm -f src/c/$(DEPDIR)/libscistatistics_algo_la-sci_string_matrix.Plo
1474         -rm -f Makefile
1475 distclean-am: clean-am distclean-compile distclean-generic \
1476         distclean-local distclean-tags
1477
1478 dvi: dvi-am
1479
1480 dvi-am:
1481
1482 html: html-am
1483
1484 html-am:
1485
1486 info: info-am
1487
1488 info-am:
1489
1490 install-data-am: install-data-local \
1491         install-libscistatistics_la_etcDATA \
1492         install-libscistatistics_la_rootDATA \
1493         install-libscistatistics_la_sci_gatewayDATA
1494
1495 install-dvi: install-dvi-am
1496
1497 install-dvi-am:
1498
1499 install-exec-am: install-pkglibLTLIBRARIES
1500
1501 install-html: install-html-am
1502
1503 install-html-am: install-html-local
1504
1505 install-info: install-info-am
1506
1507 install-info-am:
1508
1509 install-man:
1510
1511 install-pdf: install-pdf-am
1512
1513 install-pdf-am:
1514
1515 install-ps: install-ps-am
1516
1517 install-ps-am:
1518
1519 installcheck-am:
1520
1521 maintainer-clean: maintainer-clean-am
1522                 -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbet.Plo
1523         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfbin.Plo
1524         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchi.Plo
1525         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfchn.Plo
1526         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdff.Plo
1527         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdffnc.Plo
1528         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfgam.Plo
1529         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnbn.Plo
1530         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfnor.Plo
1531         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdfpoi.Plo
1532         -rm -f sci_gateway/c/$(DEPDIR)/libscistatistics_la-sci_cdft.Plo
1533         -rm -f src/c/$(DEPDIR)/libscistatistics_algo_la-CdfBase.Plo
1534         -rm -f src/c/$(DEPDIR)/libscistatistics_algo_la-ipmpar1.Plo
1535         -rm -f src/c/$(DEPDIR)/libscistatistics_algo_la-sci_string_matrix.Plo
1536         -rm -f Makefile
1537 maintainer-clean-am: distclean-am maintainer-clean-generic
1538
1539 mostlyclean: mostlyclean-am
1540
1541 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1542         mostlyclean-libtool
1543
1544 pdf: pdf-am
1545
1546 pdf-am:
1547
1548 ps: ps-am
1549
1550 ps-am:
1551
1552 uninstall-am: uninstall-libscistatistics_la_etcDATA \
1553         uninstall-libscistatistics_la_rootDATA \
1554         uninstall-libscistatistics_la_sci_gatewayDATA \
1555         uninstall-pkglibLTLIBRARIES
1556
1557 .MAKE: check-am install-am install-strip
1558
1559 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1560         check-am check-local clean clean-generic clean-libtool \
1561         clean-local clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES \
1562         cscopelist-am ctags ctags-am distclean distclean-compile \
1563         distclean-generic distclean-libtool distclean-local \
1564         distclean-tags distdir dvi dvi-am html html-am info info-am \
1565         install install-am install-data install-data-am \
1566         install-data-local install-dvi install-dvi-am install-exec \
1567         install-exec-am install-html install-html-am \
1568         install-html-local install-info install-info-am \
1569         install-libscistatistics_la_etcDATA \
1570         install-libscistatistics_la_rootDATA \
1571         install-libscistatistics_la_sci_gatewayDATA install-man \
1572         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1573         install-ps install-ps-am install-strip installcheck \
1574         installcheck-am installdirs maintainer-clean \
1575         maintainer-clean-generic mostlyclean mostlyclean-compile \
1576         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1577         tags tags-am uninstall uninstall-am \
1578         uninstall-libscistatistics_la_etcDATA \
1579         uninstall-libscistatistics_la_rootDATA \
1580         uninstall-libscistatistics_la_sci_gatewayDATA \
1581         uninstall-pkglibLTLIBRARIES
1582
1583 .PRECIOUS: Makefile
1584
1585
1586 # This target enables tests for Scilab
1587 check-local: $(top_builddir)/scilab-bin test
1588         if test -d $(mydatadir)/tests; then \
1589           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1590         fi
1591 check-code:
1592         if test -f build.xml; then \
1593                 $(ANT) checkstyle; \
1594         fi
1595         if test -x "$(SPLINT)"; then \
1596                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1597         fi
1598 @NEED_JAVA_TRUE@java:
1599 # Some configurations needs to export JAVA_HOME in the current env
1600 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1601 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1602 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1603 @NEED_JAVA_TRUE@                $(ANT); \
1604 @NEED_JAVA_TRUE@        fi
1605
1606 @NEED_JAVA_TRUE@clean-java:
1607 # Some configurations needs to export JAVA_HOME in the current env
1608 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1609 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1610 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1611 @NEED_JAVA_TRUE@                $(ANT) clean; \
1612 @NEED_JAVA_TRUE@        fi;
1613
1614 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1615 # We call the target swig-build on the variable SWIG_WRAPPERS
1616
1617 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1618 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1619 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1620 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1621 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1622 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1623 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1624 @SWIG_TRUE@             done; \
1625 @SWIG_TRUE@     fi
1626
1627 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1628 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1629 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1630 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1631 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1632 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1633 @SWIG_TRUE@             done; \
1634 @SWIG_TRUE@     fi
1635
1636 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1637 # We call the target swig-build on the variable SWIG_WRAPPERS
1638
1639 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1640 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1641 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1642 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1643 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1644 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1645 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1646 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1647 @GIWS_TRUE@                     else \
1648 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1649 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1650 @GIWS_TRUE@                     fi \
1651 @GIWS_TRUE@             done; \
1652 @GIWS_TRUE@     fi
1653
1654 @GIWS_TRUE@giws-exception:
1655 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1656 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1657 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1658
1659 macros:
1660         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1661                 echo "Error : Cannot build $< : Scilab has not been built"; \
1662         else \
1663                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1664         fi)
1665
1666 # Removes the macros
1667 clean-macros:
1668 # Removes macros (*.bin generated from .sci)
1669         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1670                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1671                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1672         done
1673
1674 test:
1675 # More tests could be added here
1676         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1677         if test -f build.xml -a $$USEANT -eq 1; then \
1678                 $(ANT) test; \
1679         fi
1680
1681 all-local: $(TARGETS_ALL)
1682
1683 .sci.bin:
1684         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1685         echo "Error : Cannot build $< : Scilab has not been build"; \
1686         else \
1687         echo "Creating $@"; \
1688         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1689         fi )
1690
1691 install-html-local:
1692
1693 install-data-local-local:
1694 # Mainly for javasci
1695         @if test -d $(srcdir)/javadoc; then \
1696                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1697         fi
1698 # If the user wants the help sources to be installed
1699 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1700 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1701 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1702 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1703 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1704 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1705 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1706 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1707 @INSTALL_HELP_XML_TRUE@           done ; \
1708 @INSTALL_HELP_XML_TRUE@         fi; \
1709 @INSTALL_HELP_XML_TRUE@  fi; \
1710 @INSTALL_HELP_XML_TRUE@ done; \
1711 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1712 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1713 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1714 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1715 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1716 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1717 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1718 @INSTALL_HELP_XML_TRUE@           done ; \
1719 @INSTALL_HELP_XML_TRUE@         fi; \
1720 @INSTALL_HELP_XML_TRUE@ fi
1721 install-data-local:
1722 # Install the tests
1723         @echo "-------- Install tests (if any) --------"; \
1724         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1725           if test -d $(srcdir)/$$dir/; then \
1726             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1727                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1728                     if test -d "$(srcdir)/$$dir/$$file"; then \
1729                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1730                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1731                     else \
1732                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1733                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1734                     fi \
1735                   done; \
1736           fi; \
1737         done
1738 # Install the help chapter
1739         @echo "-------- Install the help chapter (if any) --------"; \
1740         for lang in $(HELP_CHAPTERLANG); do \
1741                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1742                 if test -f $$HELPFILE; then \
1743                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1744                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1745                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1746                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1747                 fi; \
1748         done
1749 # Install the demos & examples
1750         @echo "-------- Install demos & examples (if any) --------"; \
1751         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1752           if test -d $(srcdir)/$$dir/; then \
1753             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1754                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1755                     if test -d "$(srcdir)/$$dir/$$file"; then \
1756                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1757                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1758                     else \
1759                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1760                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1761                     fi \
1762                   done; \
1763           fi; \
1764         done
1765 # Install the macros
1766         @echo "-------- Install macros (if any) --------"; \
1767         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1768           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1769                 if test -d $(srcdir)/$$dir/; then \
1770                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1771                         if test -n "$(MACROSSPECIALEXT)"; then \
1772                                 specialExtDir=""; \
1773                                 for specialExt in $(MACROSSPECIALEXT); do \
1774                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1775                                 done; \
1776                                 FILELIST="$$FILELIST $$specialExtDir"; \
1777                         fi; \
1778                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1779                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1780                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1781                   done; \
1782                 fi; \
1783         done
1784 # Install java files (.jar)
1785         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1786         echo "-------- Install jar files --------"; \
1787     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1788           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1789                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1790                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1791           done ; \
1792         fi
1793
1794 ########### CLEAN ###################
1795 # Clean help (generated automatically by Scilab)
1796 # It used to clean the macro (clean-macros) but this was causing
1797 # make clean && make to fail Scilab startup
1798 @NEED_JAVA_TRUE@clean-local: clean-java
1799 @NEED_JAVA_FALSE@clean-local:
1800
1801 distclean-local:
1802         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1803
1804 .PHONY: macros java swig giws
1805
1806 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1807 # Otherwise a system limit (for SysV at least) may be exceeded.
1808 .NOEXPORT: